Apache JMeter

## org.apache.jmeter.util
Class JSR223TestElement

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.util.JSR223TestElement

All Implemented Interfaces:
  Serializable, Cloneable, TestElement

Direct Known Subclasses:
  JSR223Assertion, JSR223Listener, JSR223PostProcessor, JSR223PreProcessor, JSR223Sampler, JSR223Timer

    public abstract class JSR223TestElement

extends AbstractTestElement
implements Serializable, Cloneable

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`JSR223TestElement()`

Method Summary
`Object` `clone()`
`String` `getFilename()`
`protected javax.script.ScriptEngineManager` `getManager()`
`String` `getParameters()`
`String` `getScript()` Return the script (TestBean version).
`String` `getScriptLanguage()`
`protected void` `initManager(javax.script.ScriptEngineManager sem)`
`protected Object` `processFileOrScript(javax.script.ScriptEngineManager sem)`
`protected Object` `readResolve()`
`void` `setFilename(String s)`
`void` `setParameters(String s)`
`void` `setScript(String s)` Set the script (TestBean version).
`void` `setScriptLanguage(String s)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSR223TestElement

    public JSR223TestElement()

Method Detail

### readResolve

    protected Object readResolve()

### clone

    public Object clone()

  Specified by:
    `clone` in interface `TestElement`
  Overrides:
    `clone` in class `AbstractTestElement`

### getManager

    protected javax.script.ScriptEngineManager getManager()

### initManager

    protected void initManager(javax.script.ScriptEngineManager sem)

### processFileOrScript

    protected Object processFileOrScript(javax.script.ScriptEngineManager sem)
                                  throws IOException,
                                         javax.script.ScriptException

  Throws:
    `IOException`
    `javax.script.ScriptException`

### getScript

    public String getScript()

  Return the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.

  Returns:
    the script to execute

### setScript

    public void setScript(String s)

  Set the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.

  Parameters:
    `s` - the script to execute (may be blank)

### getParameters

    public String getParameters()

### setParameters

    public void setParameters(String s)

### getFilename

    public String getFilename()

### setFilename

    public void setFilename(String s)

### getScriptLanguage

    public String getScriptLanguage()

### setScriptLanguage

    public void setScriptLanguage(String s)

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.